Bug 1420165 - Missing info about generator in "oc expose -h"
Summary: Missing info about generator in "oc expose -h"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Juan Vallejo
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 02:01 UTC by Xingxing Xia
Modified: 2020-02-14 18:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: There was no information about the `--generator` parameter explaining its use in the help output of `oc expose`. Consequence: The parameter was undocumented to users attempting to use the command. Fix: An explanation was added that gave examples on how the `--generator` parameter should be used. Result: The `--generator` parameter is now documented with examples in the output of `oc expose -h`.
Clone Of: 1409761
Environment:
Last Closed: 2017-04-12 19:12:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0884 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.5 RPM Release Advisory 2017-04-12 22:50:07 UTC

Comment 1 Xingxing Xia 2017-02-08 02:07:13 UTC
Better to update generator usage in command line "oc expose -h" help info too. Thanks!

Comment 2 Juan Vallejo 2017-02-10 22:21:35 UTC
Related PR: https://github.com/openshift/origin/pull/12925

Comment 3 Fabiano Franz 2017-02-18 21:54:08 UTC
Fixed in https://github.com/openshift/origin/pull/12925.

Comment 4 Troy Dawson 2017-02-21 22:37:07 UTC
This has been merged into ocp and is in OCP v3.5.0.32 or newer.

Comment 6 Xingxing Xia 2017-02-22 03:27:18 UTC
Verified in oc v3.5.0.32. 'oc expose -h' has good info for generator now as the PR shows. Thanks!

Comment 8 errata-xmlrpc 2017-04-12 19:12:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0884


Note You need to log in before you can comment on or make changes to this bug.